// Style tableaux
.container-table {
    margin-left: 2%;
    margin-right: 2%;
}
.table-wrapper {
  margin-bottom: 2rem;
  overflow-x:    auto;
}

.graph-wrapper {
  margin-top: 6rem;

  img {
    max-width: 100%;
  }
}

table {
  width:     100%;
  min-width: 70rem;

  thead {
    color:            $blanc;
    background-color: $bleu-fonce;

    th {
      padding:     1.5rem 2rem;
      text-align:  center;
      border-left: .1rem solid $dore-clair;

      &:first-of-type {
        border-left: none;
      }
    }
  }

  tbody {
    background-color: $gris-blanc;

    tr {
      border-bottom: .1rem solid rgba($bleu-med, .5);

      &:last-of-type {
        border-bottom: none;
      }
    }

    td {
      padding:        1rem 1.5rem;
      vertical-align: middle;
      border-left:    .1rem solid rgba($bleu-med, .5);

      &:first-of-type {
        border-left: none;
      }

      a {
        word-break: break-all;

        &:hover {
          text-decoration: underline;
        }
      }

      ul {
        margin:       0;
        padding-left: 2rem;
      }

      &.edit-cel {
        padding:    0;
        text-align: center;
        cursor:     pointer;
        width:      45px;

        &:hover a {
          color:           $dore-fonce;
          text-decoration: none;
        }

        a {
          display:    block;
          padding:    1rem 1.5rem;
          color:      $bleu-med;
          transition: color .3s ease-in-out;
          height:     45px;

          i {
            vertical-align: middle;
          }
        }
      }

      &.delete-cel, &.reset-cel {
        padding:    0;
        text-align: center;
        cursor:     pointer;
        width:      45px;

        &:hover .btn-icon {
          color:           $dore-fonce;
          text-decoration: none;
        }

        .btn-icon {
          display:          block;
          padding:          1rem 1.5rem;
          cursor:           pointer;
          background-color: transparent;
          border:           none;
          color:            $error;
          transition:       color .3s ease-in-out;
          width:            100%;
          height:           45px;
        }
      }

      &.reset-cel {
        .btn-icon {
          font-size: 18px;
          color:     $noir;
        }
      }

      &.switch-cel {
        width: 130px;

        .cel-wrapper {
          display:          flex;
          align-items:      center;
          justify-content:  space-between;
          background-color: transparent;
          border:           none;
          width:            100%;
          padding:          0;
        }

        .switch {
          display:          inline-block;
          position:         relative;
          width:            3rem;
          height:           1.7rem;
          cursor:           pointer;
          border-radius:    1rem;
          border:           .1rem solid $gris-med;
          background-color: $blanc;

          &::before {
            position:         absolute;
            top:              50%;
            left:             .2rem;
            width:            1.1rem;
            height:           1.1rem;
            content:          "";
            border-radius:    50%;
            transform:        translateY(-50%);
            background-color: $success;
            transition:       all .3s ease-in-out;
          }

          &.switch-off::before {
            left:             calc(100% - 1.4rem);
            background-color: $error;
          }
        }
      }
    }
  }

  &.stats-table tbody tr td:not(:first-of-type) {
    text-align: center;
  }

  &.table-sort thead th {
    cursor:   pointer;
    position: relative;

    &::after {
      content:       '';
      position:      absolute;
      right:         5px;
      top:           calc(50% - 5px);
      width:         11px;
      height:        11px;
      padding-right: 10px;
      cursor:        pointer;
      color:         white;
      background:    url(data:image/gif;base64,R0lGODlhCwALAKEDAAAAAP///xUVFfGsJSH5BAEKAAMALAAAAAALAAsAAAIUnB2nGLnT4or00PvyrQwrPzUZshQAOw==) no-repeat center right;
    }

    &[aria-sort="ascending"]::after {
      background: url(data:image/gif;base64,R0lGODlhCwALAKEDAAAAAP///xUVFfGsJSH5BAEKAAMALAAAAAALAAsAAAIRnB2nGLnT4or00Puy3rx7VQAAOw==) no-repeat center right;
    }

    &[aria-sort="descending"]::after {
      background: url(data:image/gif;base64,R0lGODlhCwALAKEDAAAAAP///xUVFfGsJSH5BAEKAAMALAAAAAALAAsAAAIPnI+py+0/gpzz0IruwjsVADs=) no-repeat center right;
    }
  }

  &.account-infos {
    min-width: auto;

    th {
      padding: 1rem 1.5rem;
    }
  }

  &.table-search-logs {
    font-size: 1rem;

    ul {
      margin:  0;
      padding: 0;
    }
  }
}
